
set Version 1.0
proc LoadLognoter { dir version } {
    set argv ""
    if { [interp exists lognoter] } {
	if { [lognoter eval info exists argv] } {
	    set argv [lognoter eval set argv]
	}
	interp delete lognoter
    }
#     interp create lognoter
    if { ![interp exists lognoter] } {
	interp create lognoter
    }
    lognoter eval [list load {} Tk]
    lognoter eval package require Tk
    lognoter eval wm withdraw .
    if { ![lognoter eval info exists argv] } {
	lognoter eval [list set argc 0]
	lognoter eval [list set argv $argv]
    }
    lognoter eval [list set auto_path $::auto_path]
    lognoter eval [list set argv0 [file join $dir lognoter.tcl]]
    catch { lognoter hide exit }
    lognoter alias exit EndLoadLognoter
    lognoter eval package provide Lognoter $version
    lognoter eval [list source [file join $dir lognoter.tcl]]
    package provide Lognoter $version
}
proc EndLoadLognoter {} {
    interp delete lognoter
    package forget Lognoter
}
if {![package vsatisfies [package provide Tcl] 8.5]} {return}
package ifneeded Lognoter $Version [list LoadLognoter $dir $Version]
package ifneeded lognoter_db 1.0 [list source [file join $dir tcl lognoter_db.tcl]]
